# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.authn.CredentialRequestOptionsParameters

Packages that use CredentialRequestOptionsParameters
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.authn
This package has authentication APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client
Client APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client.impl
This package has WebAuthn client implementations for WebAuthn.

## Uses of CredentialRequestOptionsParameters in net.shibboleth.idp.plugin.authn.webauthn.authn

Methods in net.shibboleth.idp.plugin.authn.webauthn.authn that return CredentialRequestOptionsParameters
Modifier and Type
Method
Description
`CredentialRequestOptionsParameters`
CredentialRequestOptionsParameters.Builder.`build()`
`CredentialRequestOptionsParameters`
CredentialRequestOptionsParameters.IBuildStage.`build()`
Build the request options parameters.

## Uses of CredentialRequestOptionsParameters in net.shibboleth.idp.plugin.authn.webauthn.client

Methods in net.shibboleth.idp.plugin.authn.webauthn.client with parameters of type CredentialRequestOptionsParameters
Modifier and Type
Method
Description
`com.yubico.webauthn.data.PublicKeyCredentialRequestOptions`
WebAuthnAuthenticationClient.`createAuthenticationRequest(CredentialRequestOptionsParameters requestParams)`
Create a PublicKeyCredentialRequestOptions for the WebAuthn 'get' call to generate an authentication assertion.

## Uses of CredentialRequestOptionsParameters in net.shibboleth.idp.plugin.authn.webauthn.client.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.client.impl with parameters of type CredentialRequestOptionsParameters
Modifier and Type
Method
Description
`com.yubico.webauthn.data.PublicKeyCredentialRequestOptions`
YubicoWebAuthnAuthenticationClient.`createAuthenticationRequest(CredentialRequestOptionsParameters requestParams)`